Bug 758635 - [abrt] gnome-shell-3.2.1-2.fc16 crashed in shell_network_agent_set_password()
[abrt] gnome-shell-3.2.1-2.fc16 crashed in shell_network_agent_set_password()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:4469fb0ee83a2a3b5d0c7a6deec...
: Reopened
: 754308 756535 760733 761155 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 05:06 EST by Christian Schaller
Modified: 2013-08-01 13:57 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (20.05 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: build_ids (6.57 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: smolt_data (3.07 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: dso_list (7.11 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: backtrace (39.75 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: maps (85.82 KB, text/plain)
2011-11-30 05:06 EST, Christian Schaller
no flags Details
File: backtrace (44.84 KB, text/plain)
2012-03-12 12:06 EDT, Julius B.
no flags Details
abrt "Logger" output (206.88 KB, text/plain)
2012-10-16 11:00 EDT, Martin Wilck
no flags Details

  None (edit)
Description Christian Schaller 2011-11-30 05:06:04 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        Had left the computer alone for a bit, when returning there where two competing entry windows for the wireless password on the screen. Trying to enter the gnome-shell one of the two, the shell crashed.
crash_function: shell_network_agent_set_password
executable:     /usr/bin/gnome-shell
kernel:         3.1.1-2.fc16.i686
pid:            1466
pwd:            /home/cschalle
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Wed 30 Nov 2011 09:53:15 AM GMT
uid:            500
username:       cschalle

backtrace:      Text file, 40708 bytes
build_ids:      Text file, 6724 bytes
dso_list:       Text file, 7282 bytes
event_log:      Text file, 20529 bytes
maps:           Text file, 87876 bytes
smolt_data:     Text file, 3140 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8c507a5ad08912ddc0a172be0000001b-1322470510.361687-910855420
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-r80MMp
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=cschalle
:USERNAME=cschalle
:MAIL=/var/spool/mail/cschalle
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cschalle/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cschalle
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1241
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/cschalle
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=cschalle
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vs7BozjAGe,guid=3032412d3c8ecb63bb9ab1d200000035
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cschalle
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-cschalle-NLtH9Y/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1247,unix/unix:/tmp/.ICE-unix/1247
:SSH_AUTH_SOCK=/tmp/keyring-r80MMp/ssh
:GPG_AGENT_INFO=/tmp/keyring-r80MMp/gpg:0:1
:DESKTOP_AUTOSTART_ID=107fcd0525d13c61ef132247051254202000000012470000
Comment 1 Christian Schaller 2011-11-30 05:06:07 EST
Created attachment 538489 [details]
File: event_log
Comment 2 Christian Schaller 2011-11-30 05:06:09 EST
Created attachment 538490 [details]
File: build_ids
Comment 3 Christian Schaller 2011-11-30 05:06:11 EST
Created attachment 538491 [details]
File: smolt_data
Comment 4 Christian Schaller 2011-11-30 05:06:12 EST
Created attachment 538492 [details]
File: dso_list
Comment 5 Christian Schaller 2011-11-30 05:06:15 EST
Created attachment 538493 [details]
File: backtrace
Comment 6 Christian Schaller 2011-11-30 05:06:17 EST
Created attachment 538494 [details]
File: maps
Comment 7 Owen Taylor 2011-12-16 12:01:15 EST
*** Bug 760733 has been marked as a duplicate of this bug. ***
Comment 8 Owen Taylor 2011-12-16 12:01:21 EST
*** Bug 761155 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2011-12-16 12:36:36 EST
*** Bug 754308 has been marked as a duplicate of this bug. ***
Comment 10 Owen Taylor 2011-12-16 12:38:25 EST
*** Bug 756535 has been marked as a duplicate of this bug. ***
Comment 11 ms43 2011-12-18 09:16:09 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
NetworkManager was displaying obnoxious dialog upon losing wifi connection asking for password,
clicked "connect" on that, shell crashed
Comment 12 Julius B. 2012-03-12 12:06:39 EDT
After changing the window theme using gnome-tweak-tool and restarting GNOME shell two times in a row, Shell crashed and forced me to log out.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 Julius B. 2012-03-12 12:06:45 EDT
Created attachment 569446 [details]
File: backtrace
Comment 14 Julius B. 2012-03-12 12:11:10 EDT
After reading comment 11, I must rectify that the same issue seems to be the cause for me. Excuse me, I had the wrong crash in mind when reporting this bug. ;)
Comment 15 abrt-bot 2012-03-30 07:28:25 EDT
Backtrace analysis found this bug to be similar to bug #739315, closing as duplicate.

Bugs which were found to be similar to this bug: bug #739315, bug #754308, bug #756469, bug #756472, bug #756535, bug #757453, bug #758182, bug #759102, bug #759550, bug #759671, bug #759730, bug #760733, bug #761155, bug #768902

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 739315 ***
Comment 16 Martin Wilck 2012-10-16 10:56:49 EDT
This bug was falsely marked as a duplicate by the abrt-bot. The backtraces are actually not the same.
Comment 17 Martin Wilck 2012-10-16 11:00:24 EDT
Created attachment 628204 [details]
abrt "Logger" output

I got the same problem with gnome-shell 3.6.1-1.fc17.x86_64

abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: shell_network_agent_set_password
executable:     /usr/bin/gnome-shell
kernel:         3.6.1-1.fc17.x86_64
pid:            27863
pkg_arch:       x86_64
pkg_epoch:      0
pkg_name:       gnome-shell
pkg_release:    6.fc17
pkg_version:    3.4.1
pwd:            /home/martin
time:           Tue 16 Oct 2012 03:59:01 PM CEST
uid:            1004
username:       martin
Comment 18 Florian Fahr 2012-12-22 16:28:49 EST
Booted my computer, got this message.

backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Martin Wilck 2013-01-21 07:01:35 EST
I just recently had this problem again. It seems to happen when I mistype my WLAN pass phrase (my laptop sometimes switches to NumLock mode when disconnected from the docking station, causing me to mistype).

The sequence of events is like this:
 1. User activates WLAN connection (or auto-activation)
 2. Password popup is displayed
 3. Password mistyped
 4. Another password popup comes up after a few seconds
 5. User enters password again
 6. A 3rd password prompt pops up immediately. It looks as if it had been hidden below the popup from 4.)
 7. User types password yet again.
 8. 1st crash - GNOME shell resets itself (screen gets dark for a short time, then only background is visible, finally the shell GUI builds up again)

If the sequence 4.-7. is repeated, the GNOME shell will crash with the infamous "O no! something has gone wrong" message.

I am not certain if the passwords need to be mistyped in all steps 3./5./7.
The root cause for the crash is IMO that the password prompt is started twice (4. + 6.) when the first login attempt fails.
Comment 20 msocorcim 2013-02-27 19:04:23 EST
laptop was operating on wifi LAN.  Moved laptop to another location in building, lost wifi link.  Adjusted antenna position on access point, clicked "connect" on gnome shell prompt, gnome shell crashed.  gnome shell reloaded itself and wifi was connected ok.

backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Fedora End Of Life 2013-07-04 02:23:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2013-08-01 13:57:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.